Skip to main content
POST
/
purchase_proposals
/
{purchase_proposal_id}
/
update_status
Approve or decline a purchase of a billing plan
curl --request POST \
  --url https://api.togai.com/purchase_proposals/{purchase_proposal_id}/update_status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "APPROVE"
}
'
{
  "id": "purchase.20rvWRxQcQK.0ZwPG",
  "accountId": "account2394",
  "pricePlanId": "pp.20rqb4MK9ia.TD0eG",
  "createdAt": {},
  "status": "PROPOSAL_ACTIVE",
  "pricePlanOverride": {
    "pricingCycleConfig": {
      "interval": "MONTHLY",
      "startOffset": {
        "dayOffset": 2,
        "monthOffset": "NIL"
      },
      "gracePeriod": 3,
      "anniversaryCycle": false
    }
  },
  "updatedAt": {},
  "effectiveFrom": {},
  "effectiveUntil": {},
  "comment": "Proposal Approved"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

purchase_proposal_id
string
required
Maximum string length: 512
Example:

"purchase.20rqjgFJf2O.ejl25"

Body

application/json

Payload to approve or decline a proposal

Approve or decline a proposal of a billing plan for an account

status
enum<string>
required
Available options:
APPROVE,
DECLINE

Response

Response to update proposal status request

Represents a Purchase

id
string
required
accountId
string
required
Minimum string length: 1
pricePlanId
string
required
Minimum string length: 1
pricePlanVersion
integer<int32>
required
createdAt
string<date-time>
required
status
enum<string>
required

Status of the purchase

Available options:
SUCCESS,
FAILURE,
PENDING,
IN_PROGRESS,
PROPOSAL_ACTIVE,
PROPOSAL_APPROVED,
PROPOSAL_DECLINED,
PROPOSAL_EXPIRED
type
enum<string>
required
Available options:
ENTITLEMENT_GRANT,
ASSOCIATION
paymentMode
enum<string>
required
Available options:
PREPAID,
POSTPAID
quantity
integer<int32>
rateCardQuantities
object
idempotencyKey
string
purchasePlanOverride
object
associationOverride
object
updatedAt
string<date-time>
effectiveFrom
string<date>
effectiveUntil
string<date>
expiryDate
string<date-time>
price
number
invoiceId
string
invoiceCurrency
string
comment
string
proposalResponseDate
string<date-time>